-- declarations
DECLARE @pk INT
DECLARE @pk_dept INT

INSERT INTO [dbo].[AttributeValues] ([AttributeNo], [Value], [ParentAttributeValueNo], [ParentEligible], [LastModified])
   SELECT AttributeNo, 'DEMO', null, 1, '20071101' FROM [dbo].[Attributes] WHERE [Name] = 'Customer Name'
SELECT @pk = SCOPE_IDENTITY()
INSERT INTO [dbo].[AttributeValues] ([AttributeNo], [Value], [ParentAttributeValueNo], [ParentEligible], [LastModified])
   SELECT AttributeNo, 'Headquarters', @pk, 1, '20071101' FROM [dbo].[Attributes] WHERE [Name] = 'Customer Location'
SELECT @pk = SCOPE_IDENTITY()
INSERT INTO [dbo].[AttributeValues] ([AttributeNo], [Value], [ParentAttributeValueNo], [ParentEligible], [LastModified])
   SELECT AttributeNo, 'Department 1', @pk, 0, '20071101' FROM [dbo].[Attributes] WHERE [Name] = 'Customer Department'
SELECT @pk_dept = SCOPE_IDENTITY()
INSERT INTO [dbo].[AttributeValues] ([AttributeNo], [Value], [ParentAttributeValueNo], [ParentEligible], [LastModified])
   SELECT AttributeNo, 'Department 2', @pk, 0, '20071101' FROM [dbo].[Attributes] WHERE [Name] = 'Customer Department'

INSERT INTO [dbo].[Cards] ([Active], [Id], [LastModified])
	VALUES (1, '1', '20071101')
SELECT @pk = SCOPE_IDENTITY()

INSERT INTO [dbo].[Users] ([Active], [Name], [CardNo], [Id], [PIN], [DeptNo], [LastModified])
	VALUES (1, 'Test User 111', @pk, null, '111', @pk_dept, '20071101')

INSERT INTO [dbo].[Products] ([Active], [IsEditable], [PartNum], [Description], [VendorNo], [PackageQty], [Price], [CurrentQty], [LastModified])
   VALUES (1, 1, 1, Gloves, null, 1, 5.0, 100, '20071101')
INSERT INTO [dbo].[Products] ([Active], [IsEditable], [PartNum], [Description], [VendorNo], [PackageQty], [Price], [CurrentQty], [LastModified])
   VALUES (1, 1, 2, Safety glasses, null, 1, 5.0, 100, '20071101')
INSERT INTO [dbo].[Products] ([Active], [IsEditable], [PartNum], [Description], [VendorNo], [PackageQty], [Price], [CurrentQty], [LastModified])
   VALUES (1, 1, 3, Ear plugs, null, 1, 5.0, 100, '20071101')

INSERT INTO [dbo].[Machines] ([Active], [Id], [IP], [Port], [LocationNo], [CardGroupNo], [StatusNo], [Firmware], [LastModified])
   VALUES (1, 'Machine 1', '192.168.0.101', 10001, @pk_dept, null, null, null, '20071101')
